X500Principal
Date: 2016-06-24

javax.security.auth.x500

## Class X500Principal

- java.lang.Object
- - javax.security.auth.x500.X500Principal

- All Implemented Interfaces:
    Serializable, Principal

      public final class X500Principal
      extends Object
      implements Serializable, Principal

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CANONICAL`
    `static String` | `RFC1779`
    `static String` | `RFC2253`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X500Principal(byte[] var0)`
    `X500Principal(InputStream var0)`
    `X500Principal(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()`
    `String` | `getName()`
    `String` | `getName(String var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode, toString`

- - ### Field Detail

    - #### CANONICAL

          public static final String CANONICAL

      See Also:
        Constant Field Values

    - #### RFC1779

          public static final String RFC1779

      See Also:
        Constant Field Values

    - #### RFC2253

          public static final String RFC2253

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### X500Principal

          public X500Principal(InputStream var0)

    - #### X500Principal

          public X500Principal(String var0)

    - #### X500Principal

          public X500Principal(byte[] var0)

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### getName

          public String getName(String var0)